> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get entry references

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/entries/{entry_id}/references

Reference: https://contentful.com/developers/docs/references/content-management-api/entries/get-entry-references

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `entry_id` (string, required) — ID of the entry in form of a string

### Query parameters

- `include` (double, required) — Level of the entry descendants from 1 up to 10 maximum

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

// Get entry references
client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((environment) => environment.getEntryReferences('<entry_id>', { include: '<number>' }))
.then((entry) => console.log(entry.includes))
// Or
.then((environment) => environment.getEntry('<entry_id>')).then((entry) => entry.references({ include: '<number>' }))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const references = await client.entry.references({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  entryId: '<entry_id>',
  include: '<number>',
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

entry = client.entries('<space_id>', '<environment_id>').find('<entry_id>')
references = entry.references(include: 1)
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```